Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.objects.tree
Interface TreeNode

public interface TreeNode

Interfaz para acceder a un nodo del árbol. Fecha de creación: (17/7/00 9:24:32)

Method Summary
`TreeNode` | `appendChild(TreeNode node)` Añade un nuevo nodo a la lista de nodos hijo del nodo actual.
`TreeNode` | `appendChild(TreeNode node, int newNivel)` Añade un nuevo nodo a la lista de nodos hijo del nodo actual.
`java.util.Iterator` | `getChildIterator()` Devuelve un iterator a los nodos hijo del vector
`TreeNodeList` | `getChildNodes()` Devuele los nodos hijo del nodo actual en un objeto `NodeIList`
`java.lang.Object` | `getData()` Devuelve los datos almacenados en el objeto.
`TreeNode` | `getFirstChild()` Devuelve el primer hijo del nodo actual.
`TreeNode` | `getLastChild()` Devuelve el último hijo del nodo actual.
`int` | `getNodeLevel()` Devuelve el nivel (profundidad) del nodo en la jerarquía
`TreeNode` | `getParentNode()` Devuelve el padre del nodo actual.
`boolean` | `hasChildNodes()` Devuelve si el nodo tiene hijos o no.
`TreeNode` | `removeChild(TreeNode node)` Elimina un nodo del vector de nodos hijo
`void` | `setChildNodes(java.util.List childNodes)` Establece los nodos hijo del nodo actual
`void` | `setData(java.lang.Object data)` Establece los datos del nodo actual
`void` | `setNodeLevel(int level)` Establece el nivel del nodo actual
`void` | `setParentNode(TreeNode parentNode)` Establece el nodo padre del nodo actual
`java.lang.String` | `toString()` Devuelve la representación en forma de cadena del objeto que contiene el nodo

Method Detail

### appendChild

    public TreeNode appendChild(TreeNode node)

  Añade un nuevo nodo a la lista de nodos hijo del nodo actual.

  Parameters:
    `node` - El nodo (objeto `TreeNode` recién creado
  Returns:
    un objeto `TreeNode` con el nodo añadido

### appendChild

    public TreeNode appendChild(TreeNode node,
                                int newNivel)

  Añade un nuevo nodo a la lista de nodos hijo del nodo actual.

  Parameters:
    `node` - El nodo (objeto `TreeNode` recién creado
    `newNivel` - el nivel al que se añade el nodo
  Returns:
    un objeto `TreeNode` con el nodo añadido

### getChildNodes

    public TreeNodeList getChildNodes()

  Devuele los nodos hijo del nodo actual en un objeto `NodeIList`

  Returns:
    `TreeNodeList`

### setChildNodes

    public void setChildNodes(java.util.List childNodes)

  Establece los nodos hijo del nodo actual

  Parameters:
    `childNodes` - los nodos hijo

### getChildIterator

    public java.util.Iterator getChildIterator()

  Devuelve un iterator a los nodos hijo del vector

  Returns:
    un iterator

### getFirstChild

    public TreeNode getFirstChild()

  Devuelve el primer hijo del nodo actual.

  Returns:
    un objeto `TreeNode` con el primer hijo

### getLastChild

    public TreeNode getLastChild()

  Devuelve el último hijo del nodo actual.

  Returns:
    un objeto `TreeNode` con el ultimo hijo

### getNodeLevel

    public int getNodeLevel()

  Devuelve el nivel (profundidad) del nodo en la jerarquía

  Returns:
    el nivel de un nodo

### setNodeLevel

    public void setNodeLevel(int level)

  Establece el nivel del nodo actual

  Parameters:
    `level` - nivel del nodo actual

### getParentNode

    public TreeNode getParentNode()

  Devuelve el padre del nodo actual.

  Returns:
    un objeto `TreeNode` con el padre del objeto actual

### setParentNode

    public void setParentNode(TreeNode parentNode)

  Establece el nodo padre del nodo actual

  Parameters:
    `parentNode` - el nodo padre (objeto `TreeNode`

### hasChildNodes

    public boolean hasChildNodes()

  Devuelve si el nodo tiene hijos o no.

  Returns:
    true si el nodo tiene hijos

### removeChild

    public TreeNode removeChild(TreeNode node)

  Elimina un nodo del vector de nodos hijo

  Parameters:
    `node` - un objeto `TreeNode` con el nodo a borrar
  Returns:
    un objeto `TreeNode` con el nodo borrado

### getData

    public java.lang.Object getData()

  Devuelve los datos almacenados en el objeto.

  Returns:
    java.lang.Object

### setData

    public void setData(java.lang.Object data)

  Establece los datos del nodo actual

  Parameters:
    `data` - los datos

### toString

    public java.lang.String toString()

  Devuelve la representación en forma de cadena del objeto que contiene el nodo

  Returns:
    java.lang.String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD